
%global sum Synchronize calendars and contacts
%global srcname vdirsyncer
%global _docdir_fmt %{name}

Name:       vdirsyncer
Version:    0.18.0
Release:    1%{?dist}
Summary:    %{sum}

License:    BSD
URL:        https://github.com/pimutils/%{name}
Source0:    %{pypi_source}
Patch0:     vdirsyncer-click-log-dependency-version.patch

BuildArch:  noarch

BuildRequires: make
BuildRequires:  python3-atomicwrites >= 0.1.7
BuildRequires:  python3-click >= 5.0
BuildRequires:  python3-click-log >= 0.4
BuildRequires:  python3-click-threading >= 0.4.0
BuildRequires:  python3-devel
BuildRequires:  python3-icalendar
BuildRequires:  python3-lxml
BuildRequires:  python3-requests >= 2.10
BuildRequires:  python3-requests-oauthlib
BuildRequires:  python3-requests-toolbelt >= 0.4.0
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

Requires:       python3-atomicwrites >= 0.1.7
Requires:       python3-click >= 5.0
Requires:       python3-click-log >= 0.4
Requires:       python3-click-threading >= 0.4.0
Requires:       python3-icalendar
Requires:       python3-lxml >= 3.1
Requires:       python3-requests >= 2.10
Requires:       python3-requests-oauthlib
Requires:       python3-requests-toolbelt >= 0.4.0
Requires:       python3-vdirsyncer = %{version}
Requires:       sqlite

%description
vdirsyncer synchronizes your calendars and address books between two entities.
The supported protocols are CalDAV, CardDAV, arbitrary HTTP resources and some
more.

It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-atomicwrites >= 0.1.7
Requires:       python3-click >= 5.0
Requires:       python3-click-log >= 0.4
Requires:       python3-click-threading >= 0.4.0
Requires:       python3-icalendar
Requires:       python3-lxml >= 3.1
Requires:       python3-requests >= 2.10
Requires:       python3-requests-oauthlib
Requires:       python3-requests-toolbelt >= 0.4.0

%description -n python3-%{srcname}
vdirsyncer synchronizes your calendars and address books between two entities.
The supported protocols are CalDAV, CardDAV, arbitrary HTTP resources and some
more.

It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.
This package contains the python3 modules.

%package doc
Summary:        Documentation for vdirsyncer

%description doc
The vdirsyncer-doc package provides all the documentation
for the vdirsyncer calendar/address-book synchronization utility.

%prep
%autosetup -p1

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

export PYTHONPATH=`pwd`
cd docs
make SPHINXBUILD=sphinx-build-3 man html text
cd ..
unset PYTHONPATH
rm -vrf docs/_build/html/_sources
rm -fv docs/_build/html/{.buildinfo,objects.inv}


%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

install -d "%{buildroot}%{_mandir}/man1"
cp -r docs/_build/man/%{name}.1 "%{buildroot}%{_mandir}/man1"

%check
%if %{with tests}
sh build.sh tests
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS.rst README.rst CONTRIBUTING.rst
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}


%files
%license LICENSE
%{_bindir}/vdirsyncer
%{_mandir}/man1/%{name}.1.*

%files doc
%doc docs/_build/html docs/_build/text

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.0-1
- initial build
